# PrimitivePolymorphicIdentifier Class Reference

Hint: use raw values like 'City.42' or 'Country.42' where City and Country are childrens of base class GeoLocation, for example. More...

Inheritance diagram for PrimitivePolymorphicIdentifier:
[legend]

List of all members.

## Public Member Functions

| of ($class)
| ofBase ($className)
| getBaseClassName ()
| setValue ($value)
| exportValue ()
| importValue ($value)
| import ($scope)

## Static Public Member Functions

static | export ($value)

## Public Attributes

const | WRONG_CID_FORMAT = 201
const | WRONG_CLASS = 202
const | DELIMITER = '.'

## Private Attributes

| $baseClassName = null

## Detailed Description

Hint: use raw values like 'City.42' or 'Country.42' where City and Country are childrens of base class GeoLocation, for example.

Definition at line 16 of file PrimitivePolymorphicIdentifier.class.php.

## Member Function Documentation

static PrimitivePolymorphicIdentifier::export | ( | $ | value | ) | `[static]`

Definition at line 25 of file PrimitivePolymorphicIdentifier.class.php.

References BasePrimitive::$value, and Assert::isInstance().

Referenced by DTOSetter::dtoValue(), and exportValue().

Here is the call graph for this function:

PrimitivePolymorphicIdentifier::exportValue | ( |  | ) |

Reimplemented from IdentifiablePrimitive.

Definition at line 81 of file PrimitivePolymorphicIdentifier.class.php.

References export().

Here is the call graph for this function:

PrimitivePolymorphicIdentifier::getBaseClassName | ( |  | ) |

Definition at line 64 of file PrimitivePolymorphicIdentifier.class.php.

PrimitivePolymorphicIdentifier::import | ( | $ | scope | ) |

Reimplemented from PrimitiveIdentifier.

Definition at line 98 of file PrimitivePolymorphicIdentifier.class.php.

References ClassUtils::isInstanceOf(), and of().

Here is the call graph for this function:

PrimitivePolymorphicIdentifier::importValue | ( | $ | value | ) |

Reimplemented from PrimitiveIdentifier.

Definition at line 89 of file PrimitivePolymorphicIdentifier.class.php.

References BasePrimitive::$value, and BasePrimitive::getName().

Here is the call graph for this function:

PrimitivePolymorphicIdentifier::of | ( | $ | class | ) |

Exceptions:

  | WrongStateException |

Reimplemented from PrimitiveIdentifier.

Definition at line 38 of file PrimitivePolymorphicIdentifier.class.php.

Referenced by import(), and setValue().

PrimitivePolymorphicIdentifier::ofBase | ( | $ | className | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitivePolymorphicIdentifier

Definition at line 49 of file PrimitivePolymorphicIdentifier.class.php.

References IdentifiablePrimitive::$className, Assert::classExists(), and Assert::isInstance().

Here is the call graph for this function:

PrimitivePolymorphicIdentifier::setValue | ( | $ | value | ) |

Returns:
  PrimitivePolymorphicIdentifier

Reimplemented from IdentifiablePrimitive.

Definition at line 72 of file PrimitivePolymorphicIdentifier.class.php.

References BasePrimitive::$value, Assert::isInstance(), and of().

Here is the call graph for this function:

## Member Data Documentation

PrimitivePolymorphicIdentifier::$baseClassName = null`[private]`

Definition at line 23 of file PrimitivePolymorphicIdentifier.class.php.

const PrimitivePolymorphicIdentifier::DELIMITER = '.'

Definition at line 21 of file PrimitivePolymorphicIdentifier.class.php.

const PrimitivePolymorphicIdentifier::WRONG_CID_FORMAT = 201

Definition at line 18 of file PrimitivePolymorphicIdentifier.class.php.

const PrimitivePolymorphicIdentifier::WRONG_CLASS = 202

Definition at line 19 of file PrimitivePolymorphicIdentifier.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitivePolymorphicIdentifier.class.php